Bug 227107 - net-mgmt/icinga2: error: /var/cache/icinga2 owned by root:icinga
Summary: net-mgmt/icinga2: error: /var/cache/icinga2 owned by root:icinga
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Lars Engels
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-30 10:11 UTC by O. Hartmann
Modified: 2018-10-17 04:49 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2018-03-30 10:11:28 UTC
Most recent poudriere from the ports tree is used to create packages used in our environment. When updating net/icinga2 via "pkg upgrade", the icinga2 daemon wishes to access /var/cache/icinga2 on master and satellites and fails, because the ownership of var/cache/icinga2 is set to root:icinga instead of icinga:icinga.

When installing net/icinga2 the classical way from sources via the ports tree, this problem doesn't occur.
Comment 1 commit-hook freebsd_committer 2018-10-12 12:20:14 UTC
A commit references this bug:

Author: lme
Date: Fri Oct 12 12:19:58 UTC 2018
New revision: 481898
URL: https://svnweb.freebsd.org/changeset/ports/481898

Log:
  net-mgmt/icinga2:

  - Fix directory permissions after upgrading icinga2 via pkg
  - Whitespace fixes in icinga2.in
  - Bump PORTREVISION

  PR:		227965, 227107
  Submitted by:	O. Hartmann <ohartmann@walstatt.org>
  MFH:		2018Q4

Changes:
  head/net-mgmt/icinga2/Makefile
  head/net-mgmt/icinga2/files/icinga2.in
Comment 2 Lars Engels freebsd_committer 2018-10-12 12:34:09 UTC
A fix was comitted. Thanks for reporting this and sorry for the long delay.
Comment 3 commit-hook freebsd_committer 2018-10-16 11:38:08 UTC
A commit references this bug:

Author: lme
Date: Tue Oct 16 11:37:56 UTC 2018
New revision: 482218
URL: https://svnweb.freebsd.org/changeset/ports/482218

Log:
  MFH: r481898

  net-mgmt/icinga2:

  - Fix directory permissions after upgrading icinga2 via pkg
  - Whitespace fixes in icinga2.in
  - Bump PORTREVISION

  PR:		227965, 227107
  Submitted by:	O. Hartmann <ohartmann@walstatt.org>

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/net-mgmt/icinga2/Makefile
  branches/2018Q4/net-mgmt/icinga2/files/icinga2.in
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-10-17 04:49:34 UTC
Assign to committer (maintainer) that resolved. Fix summary to correct primary category, which would have assigned the maintainer on bug creation.